Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class DocumentGroupingIO.DocumentGroupingHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          infomat.vectorspace.DocumentGroupingIO.DocumentGroupingHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Enclosing class:
  DocumentGroupingIO

    private class DocumentGroupingIO.DocumentGroupingHandler

extends org.xml.sax.helpers.DefaultHandler

Nested class to handle XML parsing.

Field Summary
`private java.lang.StringBuffer` | `buffer`
`private java.util.Vector<IObjectGroup>` | `cObjectGroups`
`private java.util.Vector<IObject>` | `cobjects`
`private float` | `docSim`
`private int` | `documentGroupId`
`private java.lang.String` | `documentGroupName`
`private int` | `documentId`
`private float` | `freq`
`private IObjectGroup` | `group`
`private IObjectGrouping` | `grouping`
`private int` | `id`
`private float` | `localWeight`
`private IMatrix` | `matrix`
`private java.lang.String` | `type`
`private float` | `weight`

Constructor Summary
`DocumentGroupingIO.DocumentGroupingHandler(IMatrix matrix)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName)`
`IObjectGrouping` | `getGrouping()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private IMatrix matrix

### documentGroupName

    private java.lang.String documentGroupName

### type

    private java.lang.String type

### documentGroupId

    private int documentGroupId

### id

    private int id

### freq

    private float freq

### weight

    private float weight

### localWeight

    private float localWeight

### documentId

    private int documentId

### docSim

    private float docSim

### buffer

    private java.lang.StringBuffer buffer

### grouping

    private IObjectGrouping grouping

### group

    private IObjectGroup group

### cobjects

    private java.util.Vector<IObject> cobjects

### cObjectGroups

    private java.util.Vector<IObjectGroup> cObjectGroups

Constructor Detail

### DocumentGroupingIO.DocumentGroupingHandler

    public DocumentGroupingIO.DocumentGroupingHandler(IMatrix matrix)

Method Detail

### getGrouping

    public IObjectGrouping getGrouping()

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qualifiedName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD